Updates an existing lead. Returns the updated Lead.
Send only the fields you want to change — fields not included in the request body are left unchanged.
Include in the payload object only the properties that need to be updated.
Request
PATCH https://api.comeet.co/leads/{uid}Request path parameters:
| Name | Type | Optional | Description |
|---|---|---|---|
| uid | string | Required | UID of the lead to update. |
Request body parameters:
Accepts the same fields as Create a Lead. All fields are optional — include only the fields you want to update.
| Name | Type | Optional | Description |
|---|---|---|---|
| partner_lead_id | string | Optional | Unique ID of the lead on the partner's system |
| updated_by.type | string | Required | One of the following: user, source_contact, other, app |
| updated_by.name | string | Required | |
| updated_by.email | string | Optional | |
| first_name | string | Optional | |
| middle_name | string | Optional | |
| last_name | string | Optional | |
| string | Optional | ||
| phone | string | Optional | |
| mobile_phone | string | Optional | |
| national_id | string | Optional | |
| linkedin_url | string | Optional | |
| salary_expectations | string | Optional | Access to this field is restricted in Recruit (BETA) |
| outreach_status | string | Optional | One of the following: Not Contacted, Contacted, Responded |
| resume | object | Optional | See restrictions in Create a Lead |
| picture | object | Optional | Profile photo |
| links | array_object | Optional | |
| files | array_object | Optional | See restrictions in Create a Lead |
| source_contact | object | Optional | |
| source_contact.full_name | string | Optional | |
| source_contact.email | string | Optional | |
| source_contact.phone | string | Optional | |
| address | object | Optional | |
| custom_fields | object | Optional | Key-value pairs of custom lead fields |
| note | string | Optional | Plain text, no formatting. |
{
"updated_by": {
"type": "user",
"name": "John Recruiter",
"email": "[email protected]"
},
"outreach_status": "Contacted",
"phone": "+1-555-0100"
}Response
{
"uid": "00.BBB",
"person_uid": "45.G72",
"first_name": "Jane",
"last_name": "Smith",
"email": "[email protected]",
"position_uid": "11.22",
"source_contact": {
"full_name": "John Recruiter",
"email": "[email protected]",
"phone": "+1-555-0100"
},
"time_created": "2024-06-01T09:00:00Z",
"status": "In progress",
"outreach_status": "Contacted"
}{
"status": 404,
"error": "lead_not_found",
"message": "Lead not found"
}